Bug 805402 - SELinux is preventing /usr/lib64/nspluginwrapper/npviewer.bin from 'write' accesses on the directory at-spi2.
SELinux is preventing /usr/lib64/nspluginwrapper/npviewer.bin from 'write' ac...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:7bfc2fc3bd0ad4583c0d95753d2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-21 03:37 EDT by Adam Williamson
Modified: 2012-06-04 07:32 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-04 07:32:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2012-03-21 03:37:45 EDT
libreport version: 2.0.8
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.3.0-3.fc17.x86_64
reason:         SELinux is preventing /usr/lib64/nspluginwrapper/npviewer.bin from 'write' accesses on the directory at-spi2.
time:           Wed 21 Mar 2012 12:37:36 AM PDT

description:
:SELinux is preventing /usr/lib64/nspluginwrapper/npviewer.bin from 'write' accesses on the directory at-spi2.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that npviewer.bin should be allowed write access on the at-spi2 directory by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep npviewer.bin /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
:                              0.c1023
:Target Context                system_u:object_r:xdm_tmp_t:s0
:Target Objects                at-spi2 [ dir ]
:Source                        npviewer.bin
:Source Path                   /usr/lib64/nspluginwrapper/npviewer.bin
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           nspluginwrapper-1.4.4-7.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-104.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.0-3.fc17.x86_64 #1 SMP
:                              Wed Mar 21 03:34:17 UTC 2012 x86_64 x86_64
:Alert Count                   10
:First Seen                    Mon 20 Feb 2012 09:48:15 AM PST
:Last Seen                     Wed 21 Mar 2012 12:37:11 AM PDT
:Local ID                      817e3ac3-45fd-4789-a962-823a3a06d79f
:
:Raw Audit Messages
:type=AVC msg=audit(1332315431.156:303): avc:  denied  { write } for  pid=2071 comm="npviewer.bin" name="at-spi2" dev="dm-2" ino=262190 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:xdm_tmp_t:s0 tclass=dir
:
:
:type=SYSCALL msg=audit(1332315431.156:303): arch=x86_64 syscall=bind success=no exit=EACCES a0=8 a1=7fff034eabe0 a2=25 a3=7fff034ea8d0 items=0 ppid=1806 pid=2071 auid=1001 uid=1001 gid=1001 euid=1001 suid=1001 fsuid=1001 egid=1001 sgid=1001 fsgid=1001 tty=(none) ses=2 comm=npviewer.bin exe=/usr/lib64/nspluginwrapper/npviewer.bin subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)
:
:Hash: npviewer.bin,mozilla_plugin_t,xdm_tmp_t,dir,write
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Hakan Duran 2012-06-03 00:22:49 EDT
I also get a lot of other error messages like:

SELinux is preventing /usr/lib64/nspluginwrapper/npviewer.bin from unlink access 
on the file restore.sxx.

SELinux is preventing /usr/lib64/nspluginwrapper/npviewer.bin from rename access on the file videostats.sxx.

SELinux is preventing /usr/lib64/nspluginwrapper/npviewer.bin from create access on the file videostats.sxx.

SELinux is preventing /usr/lib64/nspluginwrapper/npviewer.bin from write access on the file /home/hako/.mozilla/firefox/3f3wy74q.default/.parentlock.
Comment 2 Hakan Duran 2012-06-03 00:24:37 EDT
I also get a lot of other error messages like:

SELinux is preventing /usr/lib64/nspluginwrapper/npviewer.bin from unlink access 
on the file restore.sxx.

SELinux is preventing /usr/lib64/nspluginwrapper/npviewer.bin from rename access on the file videostats.sxx.

SELinux is preventing /usr/lib64/nspluginwrapper/npviewer.bin from create access on the file videostats.sxx.

SELinux is preventing /usr/lib64/nspluginwrapper/npviewer.bin from write access on the file /home/hako/.mozilla/firefox/3f3wy74q.default/.parentlock.
Comment 3 Miroslav Grepl 2012-06-04 07:32:25 EDT
I think your homedir is mislabeled. Try to execute

# restorecon -R -v /home/hako


The first issue should be fixed.

Note You need to log in before you can comment on or make changes to this bug.